Get a lead

Retrieves one lead by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

The lead’s UUID (the id field returned on create), not the numeric leadId.

Response

Successful.
idstringOptionalformat: "uuid"

The lead’s UUID. This is the identifier used as the path parameter on GET /leads/{id}.

leadIdinteger or nullOptional

Sequential numeric lead identifier. Not the path parameter for GET /leads/{id}.

mobileNumberstring or nullOptional
customerSourceIdinteger or nullOptional
statusstringOptional

Lead status — one of RECEIVED, PROCESSING, CONVERTED, FAILED.

sourcestringOptional
customerDataobjectOptional
processingStartedAtdatetime or nullOptional
convertedAtdatetime or nullOptional
failedAtdatetime or nullOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional

Errors

401
Unauthorized Error
404
Not Found Error